/* Stub code to access libsndfile functions from OCaml */

/*
**	Copyright (c) 2006, 2007 Erik de Castro Lopo <erikd at mega-nerd dot com>
**	WWW: http://www.mega-nerd.com/libsndfile/Ocaml/
**
**	This library is free software; you can redistribute it and/or
**	modify it under the terms of the GNU Lesser General Public
**	License as published by the Free Software Foundation; either
**	version 2 of the License, or (at your option) any later version.
**
**	This library is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**	Lesser General Public License for more details.
**
**	You should have received a copy of the GNU Lesser General Public
**	License along with this library; if not, write to the Free Software
**	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <caml/mlvalues.h>
#include <caml/alloc.h>
#include <caml/memory.h>
#include <caml/custom.h>
#include <caml/fail.h>
#include <caml/bigarray.h>

#include <stdlib.h>
#include <string.h>

#include <sndfile.h>

#include "sndfile_stub.h"

value
caml_sf_read_short (value v_wrapper)
{
	SF_WRAPPER *wrapper ;

puts (__func__) ;

	CAMLparam1 (v_wrapper) ;

	wrapper = Data_custom_val (v_wrapper) ;

	CAMLreturn (Val_int (0)) ;
} /* caml_read_short */

value
caml_sf_write_short (value v_wrapper)
{
	SF_WRAPPER *wrapper ;

puts (__func__) ;

	CAMLparam1 (v_wrapper) ;

	wrapper = Data_custom_val (v_wrapper) ;

	CAMLreturn (Val_int (0)) ;
} /* caml_write_short */

